libetonyek::IWORKShapeContext Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libetonyek::IWORKShapeContext Class Reference

`#include <IWORKShapeContext.h>`

Inheritance diagram for libetonyek::IWORKShapeContext:

## Public Member Functions
| IWORKShapeContext (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | startOfElement () override
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Protected Attributes
IWORKStylePtr_t | m_style
boost::optional< IWORKWrap > | m_wrap
boost::optional< int > | m_order
bool | m_locked
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKShapeContext()

libetonyek::IWORKShapeContext::IWORKShapeContext | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKShapeContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprotected

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKShapeContext::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKShapeContext::endOfElement | ( |  | ) |
| overrideprotected

## ◆ startOfElement()

void libetonyek::IWORKShapeContext::startOfElement | ( |  | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_locked

bool libetonyek::IWORKShapeContext::m_locked
| protected

Referenced by attribute(), and endOfElement().

## ◆ m_order

boost::optional<int> libetonyek::IWORKShapeContext::m_order
| protected

Referenced by endOfElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKShapeContext::m_style
| protected

Referenced by element(), and endOfElement().

## ◆ m_wrap

boost::optional<IWORKWrap> libetonyek::IWORKShapeContext::m_wrap
| protected

Referenced by element().

The documentation for this class was generated from the following files:

- IWORKShapeContext.h
- IWORKShapeContext.cpp